## org.apache.batik.apps.svgbrowser
Interface DOMViewerController

All Known Implementing Classes:
  JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController

    public interface DOMViewerController

Provides the information needed for the DOMViewer to show and edit the document.

Method Summary
`boolean` `canEdit()` Checks whether the DOMViewer should be allowed to edit the document.
`ElementOverlayManager` `createSelectionManager()` Creates the ElementSelectionManager to manage the selection overlay on the canvas.
`org.w3c.dom.Document` `getDocument()` Gets the document for the DOMViewer to show.
`void` `performUpdate(java.lang.Runnable r)` Performs the document update.
`void` `removeSelectionOverlay(Overlay selectionOverlay)` Removes the given selection overlay from the canvas.
`void` `selectNode(org.w3c.dom.Node node)` Selects the given node in the DOMViewer's document tree.

Method Detail

### performUpdate

    void performUpdate(java.lang.Runnable r)

  Performs the document update.

  Parameters:
    `r` - The runnable that contains the update

### createSelectionManager

    ElementOverlayManager createSelectionManager()

  Creates the ElementSelectionManager to manage the selection overlay on the canvas.

  Returns:
    ElementSelectionManager

### removeSelectionOverlay

    void removeSelectionOverlay(Overlay selectionOverlay)

  Removes the given selection overlay from the canvas.

  Parameters:
    `selectionOverlay` - The given selection overlay

### getDocument

    org.w3c.dom.Document getDocument()

  Gets the document for the DOMViewer to show.

  Returns:
    the document

### selectNode

    void selectNode(org.w3c.dom.Node node)

  Selects the given node in the DOMViewer's document tree.

  Parameters:
    `node` - The node to select

### canEdit

    boolean canEdit()

  Checks whether the DOMViewer should be allowed to edit the document.

  Returns:
    True for non static documents, when UpdateManager is available

Copyright © 2008 Apache Software Foundation. All Rights Reserved.